Create a blotter line
curl --request POST \
--url https://api.finsync.ar/api/mesas/{id}/lines \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"quote_side": "compra",
"quote_amount": 1000,
"fx": 1545,
"trade_date": "2026-04-02",
"time": "09:15"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quote_side: 'compra',
quote_amount: 1000,
fx: 1545,
trade_date: '2026-04-02',
time: '09:15'
})
};
fetch('https://api.finsync.ar/api/mesas/{id}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quote_side: 'compra',
quote_amount: 1000,
fx: 1545,
trade_date: '2026-04-02',
time: '09:15'
})
};
fetch('https://api.finsync.ar/api/mesas/{id}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/mesas/{id}/lines"
payload = {
"quote_side": "compra",
"quote_amount": 1000,
"fx": 1545,
"trade_date": "2026-04-02",
"time": "09:15"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Mesas
Create a blotter line
Adds one manual blotter row (no operation, no treasury/ledger write). quote_side compra = quote in = engine sell; venta = quote out = engine buy. Supply quote_amount plus fx or local_amount.
POST
/
api
/
mesas
/
{id}
/
lines
Create a blotter line
curl --request POST \
--url https://api.finsync.ar/api/mesas/{id}/lines \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"quote_side": "compra",
"quote_amount": 1000,
"fx": 1545,
"trade_date": "2026-04-02",
"time": "09:15"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quote_side: 'compra',
quote_amount: 1000,
fx: 1545,
trade_date: '2026-04-02',
time: '09:15'
})
};
fetch('https://api.finsync.ar/api/mesas/{id}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quote_side: 'compra',
quote_amount: 1000,
fx: 1545,
trade_date: '2026-04-02',
time: '09:15'
})
};
fetch('https://api.finsync.ar/api/mesas/{id}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finsync.ar/api/mesas/{id}/lines"
payload = {
"quote_side": "compra",
"quote_amount": 1000,
"fx": 1545,
"trade_date": "2026-04-02",
"time": "09:15"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)Authorizations
API Key for authentication
Path Parameters
Body
application/json
Response
Blotter line created